Bug 1476497 - AppStream metadata for Wine package are missing
Summary: AppStream metadata for Wine package are missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wine
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-29 16:38 UTC by AsciiWolf
Modified: 2019-11-12 02:08 UTC (History)
4 users (show)

Fixed In Version: wine-4.19-1.fc31 wine-4.19-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-07 01:18:53 UTC
Type: Bug


Attachments (Terms of Use)

Description AsciiWolf 2017-07-29 16:38:08 UTC
Description of problem:

There is not any appdata.xml/metainfo.xml file available in the Wine package. Because of this, Wine cannot be found and/or installed using the GNOME Software application or another package manager UI based on AppStream.


Steps to Reproduce:

1. Open GNOME Software.
2. Type "wine".

Comment 1 Jan Kurik 2017-08-15 06:32:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 AsciiWolf 2018-12-20 15:34:23 UTC
Any news?

Comment 3 Ben Cotton 2019-10-31 20:16:49 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Michael Cronenworth 2019-10-31 21:14:55 UTC
I'll package a basic one for 4.19.

Comment 5 Fedora Update System 2019-11-02 15:44:55 UTC
FEDORA-2019-423d3bc2e4 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-423d3bc2e4

Comment 6 Fedora Update System 2019-11-02 15:46:31 UTC
FEDORA-2019-e9e01a6040 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e9e01a6040

Comment 7 Fedora Update System 2019-11-04 02:09:40 UTC
FAudio-19.11-1.fc30, wine-4.19-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e9e01a6040

Comment 8 Fedora Update System 2019-11-04 02:18:26 UTC
FAudio-19.11-1.fc31, wine-4.19-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-423d3bc2e4

Comment 9 Fedora Update System 2019-11-07 01:18:53 UTC
FAudio-19.11-1.fc31, wine-4.19-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-11-12 02:08:29 UTC
FAudio-19.11-1.fc30, wine-4.19-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.